Index: uspace/lib/c/generic/vol.c
===================================================================
--- uspace/lib/c/generic/vol.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/lib/c/generic/vol.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -48,9 +48,9 @@
  *             cannot be contacted.
  */
-int vol_create(vol_t **rvol)
+errno_t vol_create(vol_t **rvol)
 {
 	vol_t *vol;
 	service_id_t vol_svcid;
-	int rc;
+	errno_t rc;
 
 	vol = calloc(1, sizeof(vol_t));
@@ -103,5 +103,5 @@
  * @return EOK on success or an error code.
  */
-static int vol_get_ids_once(vol_t *vol, sysarg_t method, sysarg_t arg1,
+static errno_t vol_get_ids_once(vol_t *vol, sysarg_t method, sysarg_t arg1,
     sysarg_t *id_buf, size_t buf_size, size_t *act_size)
 {
@@ -110,5 +110,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, method, arg1, &answer);
-	int rc = async_data_read_start(exch, id_buf, buf_size);
+	errno_t rc = async_data_read_start(exch, id_buf, buf_size);
 
 	async_exchange_end(exch);
@@ -119,5 +119,5 @@
 	}
 
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 
@@ -141,5 +141,5 @@
  * @return       EOK on success or an error code
  */
-static int vol_get_ids_internal(vol_t *vol, sysarg_t method, sysarg_t arg1,
+static errno_t vol_get_ids_internal(vol_t *vol, sysarg_t method, sysarg_t arg1,
     sysarg_t **data, size_t *count)
 {
@@ -148,5 +148,5 @@
 
 	size_t act_size = 0;
-	int rc = vol_get_ids_once(vol, method, arg1, NULL, 0, &act_size);
+	errno_t rc = vol_get_ids_once(vol, method, arg1, NULL, 0, &act_size);
 	if (rc != EOK)
 		return rc;
@@ -185,5 +185,5 @@
  * @return EOK on success or an error code
  */
-int vol_get_parts(vol_t *vol, service_id_t **data, size_t *count)
+errno_t vol_get_parts(vol_t *vol, service_id_t **data, size_t *count)
 {
 	return vol_get_ids_internal(vol, VOL_GET_PARTS, 0, data, count);
@@ -196,8 +196,8 @@
  * until it is discovered.
  */
-int vol_part_add(vol_t *vol, service_id_t sid)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vol_part_add(vol_t *vol, service_id_t sid)
+{
+	async_exch_t *exch;
+	errno_t retval;
 
 	exch = async_exchange_begin(vol->sess);
@@ -212,13 +212,13 @@
 
 /** Get partition information. */
-int vol_part_info(vol_t *vol, service_id_t sid, vol_part_info_t *vinfo)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vol_part_info(vol_t *vol, service_id_t sid, vol_part_info_t *vinfo)
+{
+	async_exch_t *exch;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vol->sess);
 	aid_t req = async_send_1(exch, VOL_PART_INFO, sid, &answer);
-	int rc = async_data_read_start(exch, vinfo, sizeof(vol_part_info_t));
+	errno_t rc = async_data_read_start(exch, vinfo, sizeof(vol_part_info_t));
 	async_exchange_end(exch);
 
@@ -237,8 +237,8 @@
 /** Erase partition (to the extent where we will consider it not containing
  * a file system. */
-int vol_part_empty(vol_t *vol, service_id_t sid)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vol_part_empty(vol_t *vol, service_id_t sid)
+{
+	async_exch_t *exch;
+	errno_t retval;
 
 	exch = async_exchange_begin(vol->sess);
@@ -253,14 +253,14 @@
 
 /** Get volume label support. */
-int vol_part_get_lsupp(vol_t *vol, vol_fstype_t fstype,
+errno_t vol_part_get_lsupp(vol_t *vol, vol_fstype_t fstype,
     vol_label_supp_t *vlsupp)
 {
 	async_exch_t *exch;
-	int retval;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vol->sess);
 	aid_t req = async_send_1(exch, VOL_PART_LSUPP, fstype, &answer);
-	int rc = async_data_read_start(exch, vlsupp, sizeof(vol_label_supp_t));
+	errno_t rc = async_data_read_start(exch, vlsupp, sizeof(vol_label_supp_t));
 	async_exchange_end(exch);
 
@@ -278,10 +278,10 @@
 
 /** Create file system. */
-int vol_part_mkfs(vol_t *vol, service_id_t sid, vol_fstype_t fstype,
+errno_t vol_part_mkfs(vol_t *vol, service_id_t sid, vol_fstype_t fstype,
     const char *label)
 {
 	async_exch_t *exch;
 	ipc_call_t answer;
-	int retval;
+	errno_t retval;
 
 	exch = async_exchange_begin(vol->sess);
